Bug 817065 - [RFE] ipa-server-install --uninstall leaves unneeded files around
[RFE] ipa-server-install --uninstall leaves unneeded files around
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Kosek
IDM QE LIST
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 10:52 EDT by David Kovalsky
Modified: 2016-02-19 06:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-19 06:58:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2012-04-27 10:52:07 EDT
ipa-server-install creates a bunch of keytabs and other files, which are kept in place after ipa-server-install --uninstall. 


While this is a good thing for situations where one doesn't want to loose keys/keytabs, it also leaves a bunch of mess behind on a system and makes reinstallation / troubleshooting a bit harder. 


I'd make good use of an option I can pass along with uninstall to clean my system. 

Without looking to deep into the code, the installer should know what files were created and could either
 - pack them into one tarball
 - move them into a single directory (/root/ipa-uninstalled/$stuff)
 - rename them to $something.old

ipa-server-2.2.0-11.el6.x86_64
Comment 1 Martin Kosek 2012-04-30 06:46:08 EDT
I will mark this BZ as RFE as I understand its main purpose is the implementation of the new option.

If you identified files that are left on the system and that should be removed in the standard uninstallation, please specify them.
Comment 2 Martin Kosek 2012-04-30 06:57:19 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2694
Comment 3 David Kovalsky 2012-05-18 12:41:01 EDT
Some I've noticed: 
/etc/ipa/alias/pwdfile.txt
/etc/httpd/conf/ipa.keytab
Comment 6 Martin Kosek 2016-02-19 06:58:56 EST
Thank you taking your time and submitting this request for Red Hat Enterprise Linux. The request was cloned to the upstream tracker long time ago (see link to the upstream ticket above), but it was unfortunately not given a priority neither in the upstream project, nor in Red Hat Enterprise Linux.

Given that this request is not planned for a close release, it is highly unlikely it will be fixed in this major version of Red Hat Enterprise Linux. We are therefore closing the request as WONTFIX.

To request that Red Hat reconsiders the decision, please reopen the Bugzilla with the help of Red Hat Customer Service and provide additional business and/or technical details about it's importance to you. Please note that you can still track this request or even offer help in the referred upstream Trac ticket to expedite the solution.

Note You need to log in before you can comment on or make changes to this bug.